Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class TicketManager

java.lang.Object
ru.bitel.bgbilling.modules.ticket.server.bean.TicketManager

public final class TicketManager extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `TicketManager.ErrorCode`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `STATUS_BILL`
  `static final int`
  `STATUS_BILL_CHECK`
  `static final int`
  `STATUS_CANCELED`
  `static final int`
  `STATUS_CHECK`
  `static final int`
  `STATUS_OK`
  `static final int`
  `STATUS_OVERDUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TicketManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Ticket`
  `getTicket(int id, int cid, Calendar now)`
  `Ticket`
  `getTicketForStatus(Agent agent, Contract contract, String pin, int transId, Date date)`
  `List<Ticket>`
  `getTicketList(int cid, int yy, int mm)`
  `List<Ticket>`
  `getTicketList(int cid, Date date1, Date date2)`
  `bitel.billing.server.util.PagedList<Ticket>`
  `getTicketList(int agentId, Date date1, Date date2, int id, int transId, String pin, Page page)`
  `Ticket`
  `ticketBill(Setup setup, Agent agent, int transId, Contract contract, float summ, String comment, String descr, int daysValid)`
  Выписка счета, делает агент
  `Ticket`
  `ticketBillCheck(int id, int cid, Calendar date)`
  Пришедший счет переводим в состояние чек, т.е теперь система может окончить транзакцию
  `void`
  `ticketCancel(int id, int cid, Calendar date)`
  `void`
  `ticketCancelTask(Calendar now)`
  `Ticket`
  `ticketCheck(Setup setup, Contract contract, float sum, int daysValid)`
  Выписка "чека"
  `Ticket`
  `ticketCheckDraft(Agent agent, Contract contract, String pin, int transId, float summ, String comment, Map<?,?> requestParams)`
  Проведение выписанного чека

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATUS_BILL

    public static final int STATUS_BILL
    See Also:
      - Constant Field Values

  - ### STATUS_BILL_CHECK

    public static final int STATUS_BILL_CHECK
    See Also:
      - Constant Field Values

  - ### STATUS_CHECK

    public static final int STATUS_CHECK
    See Also:
      - Constant Field Values

  - ### STATUS_OK

    public static final int STATUS_OK
    See Also:
      - Constant Field Values

  - ### STATUS_CANCELED

    public static final int STATUS_CANCELED
    See Also:
      - Constant Field Values

  - ### STATUS_OVERDUE

    public static final int STATUS_OVERDUE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TicketManager

    public TicketManager(Connection con, int mid)

- ## Method Details

  - ### getTicket

    public Ticket getTicket(int id, int cid, Calendar now)

  - ### getTicketForStatus

    public Ticket getTicketForStatus(Agent agent, Contract contract, String pin, int transId, Date date) throws TicketException
    Throws:
      `TicketException`

  - ### ticketBill

    public Ticket ticketBill(Setup setup, Agent agent, int transId, Contract contract, float summ, String comment, String descr, int daysValid) throws TicketException
    Выписка счета, делает агент
    Parameters:
      `agent` -
      `contract` -
      `summ` -
      `comment` -
    Returns:
    Throws:
      `TicketException`

  - ### ticketBillCheck

    public Ticket ticketBillCheck(int id, int cid, Calendar date) throws TicketException
    Пришедший счет переводим в состояние чек, т.е теперь система может окончить транзакцию
    Parameters:
      `id` -
      `cid` -
    Returns:
    Throws:
      `TicketException`

  - ### ticketCheck

    public Ticket ticketCheck(Setup setup, Contract contract, float sum, int daysValid) throws TicketException
    Выписка "чека"
    Parameters:
      `setup` -
      `contract` -
      `sum` -
      `daysValid` -
    Returns:
    Throws:
      `TicketException`

  - ### ticketCheckDraft

    public Ticket ticketCheckDraft(Agent agent, Contract contract, String pin, int transId, float summ, String comment, Map<?,?> requestParams) throws Exception
    Проведение выписанного чека
    Parameters:
      `agent` -
      `contract` -
      `pin` -
      `comment` -
    Returns:
    Throws:
      `Exception`

  - ### ticketCancelTask

    public void ticketCancelTask(Calendar now)

  - ### ticketCancel

    public void ticketCancel(int id, int cid, Calendar date) throws TicketException
    Throws:
      `TicketException`

  - ### getTicketList

    public List<Ticket> getTicketList(int cid, int yy, int mm)

  - ### getTicketList

    public List<Ticket> getTicketList(int cid, Date date1, Date date2)

  - ### getTicketList

    public bitel.billing.server.util.PagedList<Ticket> getTicketList(int agentId, Date date1, Date date2, int id, int transId, String pin, Page page)